libvisio::VSDXRelationship Class Reference

`#include <VSDXMLHelper.h>`

## Public Member Functions

| VSDXRelationship (xmlTextReaderPtr reader)
| VSDXRelationship ()
| ~VSDXRelationship ()
void | rebaseTarget (const char *baseDir)
const std::string | getId () const
const std::string | getType () const
const std::string | getTarget () const

## Private Attributes

std::string | m_id
std::string | m_type
std::string | m_target

## Constructor & Destructor Documentation

## VSDXRelationship() [1/2]

libvisio::VSDXRelationship::VSDXRelationship | ( | xmlTextReaderPtr | reader | ) |

## VSDXRelationship() [2/2]

libvisio::VSDXRelationship::VSDXRelationship | ( |  | ) |

## ~VSDXRelationship()

libvisio::VSDXRelationship::~VSDXRelationship | ( |  | ) |

## Member Function Documentation

## getId()

const std::string libvisio::VSDXRelationship::getId | ( |  | ) | const

inline

Referenced by libvisio::VSDXRelationships::VSDXRelationships().

## getTarget()

const std::string libvisio::VSDXRelationship::getTarget | ( |  | ) | const

inline

Referenced by libvisio::VSDXParser::getBinaryData(), libvisio::VSDXParser::parseDocument(), libvisio::VSDXParser::parseMain(), libvisio::VSDXParser::parseMetaData(), and libvisio::VSDXParser::processXmlDocument().

## getType()

const std::string libvisio::VSDXRelationship::getType | ( |  | ) | const

inline

Referenced by libvisio::VSDXParser::getBinaryData(), libvisio::VSDXParser::processXmlDocument(), and libvisio::VSDXRelationships::VSDXRelationships().

## rebaseTarget()

void libvisio::VSDXRelationship::rebaseTarget | ( | const char * | baseDir | ) |

## Member Data Documentation

## m_id

std::string libvisio::VSDXRelationship::m_id

private

Referenced by getId(), VSDXRelationship(), and VSDXRelationship().

## m_target

std::string libvisio::VSDXRelationship::m_target

private

Referenced by getTarget(), rebaseTarget(), VSDXRelationship(), and VSDXRelationship().

## m_type

std::string libvisio::VSDXRelationship::m_type

private

Referenced by getType(), VSDXRelationship(), and VSDXRelationship().

The documentation for this class was generated from the following files:

- VSDXMLHelper.h
- VSDXMLHelper.cpp